List Raw Calendars
Retrieves unprocessed calendar data directly from the provider (Google, Microsoft) using provided OAuth credentials. This endpoint is typically used during the initial setup process to allow users to select which calendars to integrate. Returns a list of available calendars with their unique IDs, email addresses, and primary status. This data is not persisted until a calendar is formally created using the create_calendar endpoint.
Authorization
ApiKeyAuth x-meeting-baas-api-key<token>
API key for authentication
In: header
Request Body
application/json
oauth_client_id*string
oauth_client_secret*string
oauth_refresh_token*string
platform*string
Fields with value "simple" parse as Kind::Simple. Fields with value "fancy" parse as Kind::SoFancy.
Value in
"Google" | "Microsoft"Response Body
application/json
curl -X POST "https://api.meetingbaas.com/calendars/raw" \ -H "Content-Type: application/json" \ -d '{ "oauth_client_id": "string", "oauth_client_secret": "string", "oauth_refresh_token": "string", "platform": "Google" }'{
"calendars": [
{
"email": "string",
"id": "string",
"is_primary": true
}
]
}